0.2.15-dev

  • Add a StringSink argument to reporters to prepare for reporting to a file.
  • Add --test-randomize-ordering-seed` argument to randomize test execution order based on a provided seed

0.2.14

  • Support the latest package:analyzer.
  • Update to latest package:matcher. Improves output for instances of private classes.

0.2.13

  • Depend on the latest package:test_api.

0.2.12

  • Conditionally import coverage logic in engine.dart. This ensures the engine is platform agnostic.

0.2.11

  • Implement code coverage gathering for VM tests.

0.2.10

  • Add a --debug argument for running the VM/Chrome in debug mode.

0.2.9+2

  • Depend on the latest test_api.

0.2.9+1

  • Allow the latest package:vm_service.

0.2.9

  • Mark package:test_core as deprecated to prevent accidental use.
  • Depend on the latest test_api.

0.2.8

  • Depend on vm_service instead of vm_service_lib.
  • Drop dependency on pub_semver.
  • Allow analyzer version 0.38.x.

0.2.7

  • Depend on vm_service_lib instead of vm_service_client.
  • Depend on latest package:analyzer.

0.2.6

  • Internal cleanup - fix lints.
  • Use the latest test_api.

0.2.5

  • Fix an issue where non-completed tests were considered passing.
  • Updated compact and expanded reporters to display non-completed tests.

0.2.4

  • Avoid dart:isolate imports on code loaded in tests.
  • Expose the parseMetadata function publicly through a new backend.dart import, as well as re-exporting package:test_api/backend.dart.

0.2.3

  • Switch import for IsolateChannel for forwards compatibility with 2.0.0.

0.2.2

  • Allow analyzer version 0.36.x.
  • Update to matcher version 0.12.5.

0.2.1+1

  • Allow analyzer version 0.35.x.

0.2.1

  • Require Dart SDK >=2.1.0.
  • Require latest test_api.

0.2.0

  • Remove remote_listener.dart and suite_channel_manager.dart from runner and depend on them from test_api.

0.1.0

  • Initial release of test_core. Provides the basic API for writing and running tests on the VM.